KENTNL / Paludis-ResumeState-Serialization-0.01000410 / Changes

Revision history for Paludis-ResumeState-Serialization

0.01000410 2013-11-09T18:06:41Z
 [00 Bugfix]
 - Avoid Regexp::Grammars bug on >5.18 which inhibit calling local
   functions, by fully qualifiying the relevant functions.
 - Avoid bogus test failures on >5.18 due to tests being inherently
   key-order dependent

 [Dependencies::Added / develop requires]
 - Dist::Zilla::Plugin::Author::KENTNL::MinimumPerl
 - Dist::Zilla::Plugin::Authority 1.006
 - Dist::Zilla::Plugin::AutoPrereqs
 - Dist::Zilla::Plugin::CheckExtraTests
 - Dist::Zilla::Plugin::ConfirmRelease
 - Dist::Zilla::Plugin::EOLTests
 - Dist::Zilla::Plugin::Git::Check
 - Dist::Zilla::Plugin::Git::Commit
 - Dist::Zilla::Plugin::Git::CommitBuild
 - Dist::Zilla::Plugin::Git::GatherDir
 - Dist::Zilla::Plugin::Git::NextVersion
 - Dist::Zilla::Plugin::Git::Tag
 - Dist::Zilla::Plugin::GithubMeta
 - Dist::Zilla::Plugin::License
 - Dist::Zilla::Plugin::Manifest
 - Dist::Zilla::Plugin::ManifestSkip
 - Dist::Zilla::Plugin::MetaConfig
 - Dist::Zilla::Plugin::MetaData::BuiltWith
 - Dist::Zilla::Plugin::MetaJSON
 - Dist::Zilla::Plugin::MetaProvides::Package 1.14000001
 - Dist::Zilla::Plugin::MetaTests
 - Dist::Zilla::Plugin::MetaYAML
 - Dist::Zilla::Plugin::ModuleBuild
 - Dist::Zilla::Plugin::NextRelease
 - Dist::Zilla::Plugin::PkgVersion
 - Dist::Zilla::Plugin::PodCoverageTests
 - Dist::Zilla::Plugin::PodSyntaxTests
 - Dist::Zilla::Plugin::PodWeaver
 - Dist::Zilla::Plugin::Prereqs
 - Dist::Zilla::Plugin::Prereqs::MatchInstalled
 - Dist::Zilla::Plugin::PruneCruft
 - Dist::Zilla::Plugin::ReadmeAnyFromPod
 - Dist::Zilla::Plugin::ReadmeFromPod
 - Dist::Zilla::Plugin::ReportVersions::Tiny
 - Dist::Zilla::Plugin::Test::CPAN::Changes
 - Dist::Zilla::Plugin::Test::Compile
 - Dist::Zilla::Plugin::Test::Kwalitee
 - Dist::Zilla::Plugin::Test::MinimumVersion
 - Dist::Zilla::Plugin::Test::Perl::Critic
 - Dist::Zilla::Plugin::TestRelease
 - Dist::Zilla::Plugin::Twitter
 - Dist::Zilla::Plugin::UploadToCPAN
 - Dist::Zilla::PluginBundle::Author::KENTNL 2.001000
 - Pod::Coverage::TrustPod
 - Test::CPAN::Changes 0.19
 - Test::CPAN::Meta
 - Test::Kwalitee 1.12
 - Test::Pod 1.41
 - Test::Pod::Coverage 1.08
 - version 0.9901

 [Dependencies::Added / develop suggests]
 - Dist::Zilla::PluginBundle::Author::KENTNL::Lite v1.3.0

 [Dependencies::Added / runtime requires]
 - perl 5.010
 - strict
 - warnings

 [Dependencies::Added / test requires]
 - File::Spec
 - IO::Handle
 - IPC::Open3

 [Dependencies::Changed / build requires]
 - Module::Build 0.3601 → 0.4008

 [Dependencies::Changed / configure requires]
 - Module::Build 0.3601 → 0.4008

 [Dependencies::Changed / test requires]
 - Test::More 0.96 → 1.001002

 [Dependencies::Removed / develop recommends]
 - Dist::Zilla::PluginBundle::KENTNL::Lite 0.01009803

 [Dependencies::Removed / develop requires]
 - Dist::Zilla::PluginBundle::KENTNL::Lite

 [Dependencies::Removed / develop suggests]
 - Dist::Zilla::PluginBundle::KENTNL 0.01017119

 [Dependencies::Removed / test requires]
 - File::Find
 - File::Temp

 [Documentation]
 - Update LICENSE copyright year
 - Reindent LICENSE
 - Update LICENSE address
 - Use utf-8 everywhere
 - Ship README.mkdn on source tree

 [Internals]
 - $AUTHORITY in all modules
 - $VERSION lacks BEGIN

 [Meta]
 - Add x_Authority
 - Issues to Github issues
 - Website URL unbroken

 [Packaging]
 - ship .perltidyrc
 - use recent test_requires in Module::Build

 [Tests]
 - superflouous t/ tests moved to xt/
 - compile test regenerated.
 - report versions test regenerated

0.01000409 2011-01-01T09:42:23Z
 - First version.




Hosting generously
sponsored by Bytemark